Rails.application.routes.draw do

  locales = Site.first.in_use_locales rescue I18n.available_locales
  
  scope "(:locale)", locale: Regexp.new(locales.join("|")) do
   namespace :admin do
      post 'announcement/preview', to: 'announcements#preview'
      get 'announcement/destroy_preview/:slug_title-:uid', to: 'announcements#destroy_preview'
      get 'announcement/approve_bulletin', to: 'announcements#approve_bulletin'
      resources :announcements
   end

   resources :announcements do
    collection do
      get ':slug_title-:uid', to: 'announcements#show', as: :display   
    end
   end
  end
  
end
